@import 'variables.scss';

.box-wells-details {
  width: 100%;
  height: 100%;
  padding-top: 12px;
  position: relative;

  // box radio
  .box-radio {
    width: 100%;
    padding-left: 20px;
    padding-bottom: 15px;

    ::ng-deepmat-radio-button {
      width: 56px;
      margin-right: 16px;

      &.mat-accent {
        .mat-radio-container {
          width: 18px;
          height: 18px;
        }

        .mat-radio-outer-circle {
          width: 18px;
          height: 18px;
        }

        .mat-radio-inner-circle {
          width: 18px;
          height: 18px;
        }
      }

      .mat-radio-label-content {
        font-size: 12px;
        color: $gray-darker;
        line-height: 14px;
      }
    }
  }

  // cover search
  .cover-search {
    width: 234px;
    height: 30px;
    margin: 0 auto 18px;
    padding: 0 30px 0 7px;
    border-radius: 15px;
    background: $gray-lightest;
    position: relative;

    input {
      width: 100%;
      height: 100%;
      padding-left: 5px;
      border: none;
      outline: none;
      background: transparent;
    }

    .click-search {
      display: flex;
      width: 20px;
      height: 20px;
      position: absolute;
      top: 5px;
      right: 10px;

      i {
        font-size: 19px;
      }
    }
  }

  // box list
  .box-list {
    width: 100%;
    height: calc(100% - 100px);
    overflow-y: auto;
    position: relative;

    .list-input {
      width: 100%;
      margin-bottom: 0;
      padding: 0 25px 0 24px;
      list-style-type: none;

      li {
        width: 100%;
        margin-bottom: 21px;

        &.hide-ver {
          display: none;
        }

        .title-input {
          display: block;
          margin-bottom: 5px;
          font-size: 11px;
          font-weight: bold;
          color: $gray-darker;
          text-transform: uppercase;
        }

        ::ng-deep.cover-input {
          display: flex;
          align-items: center;
          justify-content: space-between;
          width: 100%;
          height: 35px;
          border-radius: 6px;
          background: $white-text-color;
          position: relative;

          &.is-invalid {
            mat-form-field {
              .mat-form-field-wrapper {
                .mat-form-field-flex {
                  .mat-form-field-outline {
                    .mat-form-field-outline-start {
                      min-width: 0;
                      border: 0;
                    }

                    .mat-form-field-outline-end {
                      border: 2px solid $red-color;
                      border-radius: 5px;
                    }
                  }
                }
              }
            }
          }

          mat-form-field {
            width: 100%;
            height: 100%;

            .mat-form-field-wrapper {
              width: 100%;
              height: 100%;
              padding: 0;
              margin: 0;

              .mat-form-field-flex {
                padding: 0;
                margin: 0;
              }
            }

            .mat-form-field-underline {
              bottom: 0;
            }

            .mat-form-field-infix {
              width: 100%;
              padding: 0 !important;
              border-top: 0;
              background: transparent;
            }
          }

          .mat-form-field-appearance-outline {
            .mat-form-field-outline {
              top: 0;
            }
          }

          .type {
            display: block;
            font-size: 12px;
            color: $gray-medium;
            position: absolute;
            top: 10px;
            right: 12px;
          }

          input {
            width: 100%;
            height: 35px;
            padding: 0 50px 0 10px;
            font-size: 12px;
            font-weight: bold;
            color: $gray-darker;
            border-radius: 3px;
            outline: none;

            &.opacity1 {
              color: transparent;
            }

            &::-webkit-input-placeholder {
              font-weight: normal;
            }

            &::-moz-placeholder {
              font-weight: normal;
            }

            &:-ms-input-placeholder {
              font-weight: normal;
            }

            :-moz-placeholder {
              font-weight: normal;
            }
          }

          cts-dropdown {
            width: 100%;
            height: 100%;
          }

          &.ver-dropdown {
            padding: 0;
            height: 35px;
            border: 1px solid rgba(147, 149, 151, 0.3);

            &.is-invalid {
              border: 2px solid $error-border-color;
            }
          }
        }
      }
    }
  }
}
